﻿using System;
using ThinkGeo.MapSuite.Core;

namespace Post8533
{
    public partial class MapViewer : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request["projid"] == null)
                {
                    return;
                }
                string projID = Request["projid"].ToString();

                Proj4Projection proj4 = new Proj4Projection();
                proj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                proj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                string path = Server.MapPath(@"~\App_Data\cntry02.shp");
                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(path);
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County2;
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                if (projID == "1")
                {
                    worldLayer.FeatureSource.Projection = proj4;
                    Map1.WritableClientId += "1";
                    Map1.MapUnit = GeographyUnit.Meter;
                }
                else
                {
                    Map1.WritableClientId += "2";
                    Map1.MapUnit = GeographyUnit.DecimalDegree;
                }
                Map1.StaticOverlay.Layers.Add(worldLayer);

                Map1.MapTools.MouseCoordinate.Enabled = true;
                worldLayer.Open();
                Map1.CurrentExtent = worldLayer.GetBoundingBox();
            }
        }
    }
}